/** Easy Tree style */
.entry-tree {
    min-height: 20px;
    color: #cccccc;
    border: none;
    border-top: none;
    height: 100%;
}

.entry-tree > .table-title {
    padding: 0 0 6px 15px;
    color: #363636;
}

.entry-tree > .table-title select,
.entry-tree .entry-filter-wrap select {
    color: #6930b8;
    font-size: 12px;
}

.entry-tree > .table-title span:first-of-type {
    font-size: 17px;
}

.entry-tree > .table-title #showDeleted {
    font-size: 13px;
    font-weight: 500;
    font-style: normal;
    font-stretch: normal;
    line-height: normal;
    letter-spacing: normal;
    color: #363636;
}

.entry-tree > .table-title > span:first-child {
    font-size: 17px;
}

.entry-tree > .table-title > span:last-child {
    margin-right: 20px;
}

/*.entry-tree > .table-title select {
    height: 24px;
    border-radius: 2px;
    background-color: #ffffff;
    border: solid 1px rgba(151, 151, 151, 0.5);
}*/

.entry-tree select {
    height: 22px !important; /* select box는 border가 height에 영향 미치지 않음 */
    padding: 0 20px 0 8px;
    font-size: 13px;
    font-weight: 400;
    border-radius: 2px;
    border: solid 1px #cdcdcd;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background: url('../image/dropdown01.png') no-repeat 97% 50%; /* 화살표 아이콘 추가 */
    vertical-align: middle;
}

.entry-tree select::-ms-expand {
    display: none;            /* 화살표 없애기 for IE10, 11*/
}

.entry-tree > .entry-tree-box-wrap > .entry-filter-wrap {
    padding-left: 15px;
}

.entry-tree > .entry-tree-box-wrap > .entry-filter-wrap select,
.entry-tree > .entry-tree-box-wrap > .entry-filter-wrap input[type='text'] {
    height: 26px;
    border-radius: 2px;
    background-color: #ffffff;
    border: solid 1px rgba(151, 151, 151, 0.5);
}

.entry-tree > .entry-tree-box-wrap > .entry-filter-wrap select {
    width: 60px;
    height: 26px;
}

.entry-tree > .entry-tree-box-wrap > .entry-filter-wrap input[type='text'] {
    width: 205px;
    padding-right: 25px; /* search icon을 위한 padding*/
}

.entry-tree .input-search-icon {
    position: absolute;
    display: inline-block;
    width: 19px;
    height: 19px;
    vertical-align: middle;
    background: url(/resources/image/search.png) top no-repeat;
    margin-top: 6px;
    margin-left: -25px;
}

.entry-tree > .entry-tree-box-wrap > ul {
    padding-left: 15px;
    position: absolute;
    top: 75px;
    bottom: 0;
    left: 0;
    right: 0;
    overflow: auto;
}

#entry-tree-wrap .entry-tree > .entry-tree-box-wrap > ul {
    overflow: visible;
}

/* layer popup 내에 존재하는 경우 초기화 */
.layer-pd .entry-tree > .entry-tree-box-wrap > ul {
    position: inherit;
    top: unset;
    bottom: unset;
    left: unset;
    right: unset;
    overflow: inherit;
}

.entry-tree li {
    list-style-type: none;
    margin: 0;
    padding: 0 5px 0 0;
    position: relative
}

.entry-tree li > ul {
    padding-left: 20px;
}

.entry-tree li > span {
    display: inline-block;
    padding: 0 5px;
    text-decoration: none;
    margin-right: 10px;
    min-width: 480px;
    max-width: 790px;
    word-wrap: break-word;
    cursor: pointer;
    color: #363636;
    font-size: 13px;
    font-weight: normal;
    font-style: normal;
    font-stretch: normal;
    line-height: normal;
    letter-spacing: normal;
}

.entry-tree li > span:hover > div > span:first-child {
    cursor: pointer;
    text-decoration: underline;
    max-width: 320px;
}

.entry-tree li > span .crfpage-label-icon-wrap {
    display: none;
}

.entry-tree li > span .crfpage-label-icon-wrap > img {
    width: 19px;
    height: 19px;
    margin-right: 4px;
}

.entry-tree li > span:hover .crfpage-label-icon-wrap {
    display: inline-block !important;
}

.entry-tree li:not(.li_selected) > span:hover .crfpage-label-icon-wrap [data-eventhandler='commonEditSubItem'] {
    display: none;
}

.entry-tree > .entry-tree-box-wrap > ul > li::before, .entry-tree > .entry-tree-box-wrap > ul > li::after {
    border: 0
}

.entry-tree li:last-child::before {
    height: 20px
}

.entry-tree li > span > a {
    color: #fff;
    text-decoration: none;
}

.entry-tree li.li_selected > span, .entry-tree li.li_selected > span > a {
    background-color: #e0d7ed;
}

.entry-tree li.li_selected > span .crfpage-label-icon-wrap {
    display: inline-block;
}

.entry-tree .entry-tree-toolbar {
    background-color: #cccccc;
}

.entry-tree .entry-tree-toolbar > div {
    display: inline-block;
}

.entry-tree .entry-tree-toolbar > div > button {
    border-radius: 0;
    margin: 20px 5px;
}

.entry-tree .entry-tree-toolbar .create .input-group {
    top: -15px;
    margin-left: 5px;
    margin-right: 5px;
}

.entry-tree .entry-tree-toolbar .create .input-group input {
    border-radius: 0;
}

.entry-tree .entry-tree-toolbar .create .input-group button {
    border-radius: 0;
}

.entry-tree span.crfpage-label-type {
    border-radius: 10px;
    width: 17px;
    font-size: 10px;
    display: inline-block;
    text-align: center;
    line-height: 17px;
    font-weight: 500;
}

.entry-tree .crfpage-crfgroup > span {
    /*background-color: #f1f1f1;*/
    /*color: #77788c;*/
}

.entry-tree .crfpage-crfgroup > span > span.type-icon-on {
    background: url('../image/entry-dropdown.png');
    background-position: center 40%;
    cursor: default;
}

.entry-tree .crfpage-crfgroup > span > span.type-icon-off {
    background: url('../image/entry-dropdown.png');
    background-position: center 40%;
    cursor: default;
}

.entry-tree .crfpage-page > span > span.type-icon-on {
    background: url('../image/entry-dropdown.png');
    background-position: center 40%;
    cursor: default;
}

.entry-tree .crfpage-page > span > span.type-icon-off {
    background: url('../image/entry-dropdown.png');
    background-position: center 40%;
    cursor: default;
}

.entry-tree .crfpage-crfgroup > span span.crfpage-label-type {
    background-color: #944cd3;
    color: #ffffff;
}

.entry-tree .crfpage-page > span span.crfpage-label-type {
    background-color: #3b1871;
    color: #ffffff;
}

.entry-tree .crfpage-crf > span > span.type-icon-on {
    background: url('../image/entry-dropdown.png');
    background-position: center 40%;
    cursor: default;
}

.entry-tree .crfpage-crf > span > span.type-icon-off {
    background: url('../image/entry-dropdown.png');
    background-position: center 40%;
    cursor: default;
}

.entry-tree .crfpage-crf > span span.crfpage-label-type {
    background-color: #944cd3;
    color: #ffffff;
}

.entry-tree .crfpage-question > span > span.type-icon-on {
    background: url('../image/entry-dropdown.png');
    background-position: center 40%;
    cursor: default;
}

.entry-tree .crfpage-question > span > span.type-icon-off {
    background: url('../image/entry-dropdown.png');
    background-position: center 40%;
    cursor: default;
}

.entry-tree .crfpage-question > span span.crfpage-label-type {
    background-color: #6a4ff6;
    color: #ffffff;
}

.entry-tree .crfpage-item > span > span.type-icon-on {
    background: url('../image/entry-dropdown.png');
    background-position: center 40%;
    cursor: default;
}

.entry-tree .crfpage-item > span > span.type-icon-off {
    background: url('../image/entry-dropdown.png');
    background-position: center 40%;
    cursor: default;
}

.entry-tree .crfpage-item > span span.crfpage-label-type {
    background-color: #39b5b5;
    color: #ffffff;
}

.entry-tree li > span > span {
    display: inline-block;
    min-width: 16px;
    margin-right: 5px;
    vertical-align: middle;
    float: left;
}

.entry-tree li > span > div > span:first-child {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    display: inline-block;
    margin-right: 10px;
    max-width: 440px;
}

.entry-tree .type-icon-on {
    background: url('../image/hide-node.png') no-repeat;
}

.entry-tree .type-icon-off {
    background: url('../image/show-node.png') no-repeat;
}

.entry-tree .deleted {
    text-decoration: line-through;
    color: #ff0000;
}

.entry-tree .notSelectable > span > div > span:first-child {
    cursor: default;
    border: 0px;
}

.entry-tree .notSelectable > span:hover > div > span:first-child {
    cursor: default;
    text-decoration: blink;
    border: 0;
    max-width: 320px;
}

.entry-tree li.li_selected > span > div > span:first-child {
    max-width: 320px;
}

#crfpage-tree-wrap {
    position: absolute;
    left: 0;
    bottom: 41px;
    top: 29px;
    border-right: 1px solid #cdcdcd;
}

#crfpage-tree-wrap .ui-resizable-e {
    cursor: e-resize;
    width: 7px;
    right: -5px;
    top: -28px;
    bottom: 0;
    border-left: 1px solid #cdcdcd;
    background: #ffffff;
    height: initial; /* .ui-resizable-handle style override */
}

/** Menu Tree style */
.menu-tree {
    min-height: 20px;
    padding-top: 18px;
    margin-bottom: 20px;
    color: #363636;
    border-style: none;
}

.menu-tree > .table-title {
    padding: 0 0 6px 15px;
    color: #363636;
}

.menu-tree > ul {
    padding-left: 15px;
    overflow: auto;
    position: absolute;
    top: 55px;
    bottom: 0;
}

.menu-tree li {
    list-style-type: none;
    margin: 0;
    padding: 5px 5px 0 0;
    position: relative
}

.menu-tree li > ul {
    padding-left: 20px;
}

.menu-tree li > span {
    display: inline-block;
    padding: 3px 0;
    text-decoration: none;
    margin-right: 10px;
    width: 350px;
    max-width: 350px;
    word-wrap: break-word;
}

.menu-tree > ul > li::before, .menu-tree > ul > li::after {
    border: 0
}

.menu-tree li:last-child::before {
    height: 20px
}

.menu-tree li > span > a {
    color: #fff;
    text-decoration: none;
}

.menu-tree li.li_selected > span, .menu-tree li.li_selected > span > a {
    background-color: #e0d7ed;
}

.menu-tree .menu-tree-toolbar {
    background-color: #cccccc;
}

.menu-tree .menu-tree-toolbar > div {
    display: inline-block;
}

.menu-tree .menu-tree-toolbar > div > button {
    border-radius: 0;
    margin: 20px 5px;
}

.menu-tree .menu-tree-toolbar .create .input-group {
    top: -15px;
    margin-left: 5px;
    margin-right: 5px;
}

.menu-tree .menu-tree-toolbar .create .input-group input {
    border-radius: 0;
}

.menu-tree .menu-tree-toolbar .create .input-group button {
    border-radius: 0;
}

.menu-tree .menupage-1lv > span {
    /*background-color: #f1f1f1;*/
    /*color: #363636;*/
    font-size: 13px;
    font-weight: 400;
}

.menu-tree span.type-icon {
    display: inline-block;
    width: 16px;
    height: 16px;
    margin-right: 3px;
    vertical-align: sub;
}

.menu-tree .menupage-1lv > span > span.type-icon-on {
    background: url('../image/entry-dropdown.png');
    background-position: center 40%;
}

.menu-tree .menupage-1lv > span > span.type-icon-off {
    background: url('../image/entry-dropdown.png');
    background-position: center 40%;
}

.menu-tree .menupage-1lv > span span.type-icon {
    background: url('../image/menu-tree-1depth.png');
    background-position: center 40%;
}

.menu-tree .menupage-2lv > span {
    /*background-color: #f1f1f1;*/
    /*color: #77788c;*/
    font-size: 13px;
    font-weight: 400;
}

.menu-tree .menupage-2lv > span > span.type-icon-on {
    background: url('../image/entry-dropdown.png');
    background-position: center 40%;
}

.menu-tree .menupage-2lv > span > span.type-icon-off {
    background: url('../image/entry-dropdown.png');
    background-position: center 40%;
}

.menu-tree .menupage-2lv > span span.type-icon {
    background: url('../image/menu-tree-2depth.png');
    background-position: center 40%;
}

.menu-tree .menupage-3lv > span {
    /*background-color: #f1f1f1;*/
    /*color: #77788c;*/
}

.menu-tree .menupage-3lv > span > span.type-icon-on {
    background-image: url('../image/depth_icon03.png');
    background-position: center 40%;
}

.menu-tree .menupage-3lv > span > span.type-icon-off {
    background-image: url('../image/depth_icon03_over.png');
    background-position: center 40%;
}

.menu-tree .menupage-3lv > span span.menupage-label-type {
    /*color: #72b0ab;*/
}

.menu-tree .menupage-4lv > span {
    /*background-color: #f1f1f1;*/
    /*color: #77788c;*/
}

.menu-tree .menupage-4lv > span > span.type-icon-on {
    background-image: url('../image/depth_icon04.png');
    background-position: center 40%;
}

.menu-tree .menupage-4lv > span > span.type-icon-off {
    background-image: url('../image/depth_icon04_over.png');
    background-position: center 40%;
}

.menu-tree .menupage-4lv > span span.menupage-label-type {
    /*color: #87a062;*/
}

.menu-tree .menupage-5lv > span {
    /*background-color: #f1f1f1;*/
    /*color: #77788c;*/
}

.menu-tree .menupage-5lv > span > span.type-icon-on {
    background: url('../image/depth_icon05.png') no-repeat;
    background-position: center 40%;
}

.menu-tree .menupage-5lv > span > span.type-icon-off {
    background: url('../image/depth_icon05_over.png') no-repeat;
    background-position: center 40%;
}

.menu-tree .menupage-5lv > span span.menupage-label-type {
    /*color: #a17263;*/
}

.menu-tree li > span {
    
}

.menu-tree li > span > span {
    display: inline-block;
    min-width: 16px;
    vertical-align: middle;
    float: left;
}

.menu-tree li > span > div {
    padding-left: 17px;
}

.menu-tree .menu-tree-label {
    display: block;
    padding-left: 18px;
}

.menu-tree .deleted {
    text-decoration: line-through;
    color: #ff0000;
}

.menu-tree li > span {
    cursor: pointer
}

.menu-tree li > span:hover {
    cursor: pointer;
    text-decoration: underline;
}

.menu-tree .notSelectable > span {
    cursor: default;
    border: 0;
}

.menu-tree .notSelectable > span:hover {
    cursor: default;
    text-decoration: blink;
    border: 0;
}

#menu-tree-wrap {
    position: absolute;
    bottom: 41px;
    top: 29px;
    width: 400px;
    overflow: auto;
    border-right: 1px solid #cdcdcd;
}

#report-map-header {
    padding: 0 5px 8px 0;
    width: 100%;
}

#report-map {
    height: 700px;
    width: 100%;
    padding: 0px 0px 0px 5px;
}

#report-map-html {
    float: left;
    height: 100%;
    width: calc(96% - 200px);
    right: 600px;
    padding: 5px 5px 5px 5px;
    box-shadow: 0 0 5px 2px #d9d9d9;
}

#report-map-list {
    float: right;
    height: 100%;
    width: 200px;
    padding: 5px 5px 5px 5px;
    box-shadow: 0 0 5px 2px #d9d9d9;
}

#report-map-list #listHeader {
    padding-bottom: 5px;
    border-bottom: 1px solid #cdcdcd;
    font-size: 13px;
    font-weight: bold;
}

#report-map-list input[type='checkbox'] {
    display: none !important;
}

#report-map-list input[type='checkbox'] + label {
    cursor: pointer;
    vertical-align: middle;
}

#report-map-list input[type='checkbox'] + label span {
    display: inline-block;
    width: 19px;
    height: 19px;
    margin: 0 1px 0 0;
    vertical-align: middle;
    background: url(/resources/image/check-box.png) left top no-repeat;
    cursor: pointer;
}

#report-map-list input[type='checkbox']:checked + label span {
    background: url(/resources/image/check-box-checked.png) left top no-repeat;
    margin: 0 1px 0 0;
}

#report-map-list input[type='checkbox']:disabled + label span {
    background: url(/resources/image/check-box-disabled.png) left top no-repeat;
}

#report-map-list input[type='checkbox']:checked:disabled + label span {
    background: url(/resources/image/check-box-checked-disabled.png) left top no-repeat;
}

#report-map-list #listBody {
    overflow: auto;
    height: 100%;
    max-height: 92%;
}

#report-map-list ul {
    padding-top: 5px;
    cursor: pointer;
}

#report-map-list li:first-child {
    padding-top: 16px;
}

#report-map-list li {
    padding: 8px 46px 4px 16px;
    font-size: 13px;
    font-weight: 500;
}

#report-map-list li span {
    /*    padding-left: 8px;*/
    cursor: pointer;
}

#report-map-list img {
    cursor: pointer;
    height: 18px;
}

#crfpage-tree-wrap .table-header-icon {
    vertical-align: bottom;
    width: 19px;
    height: 19px;
}
